qbs (3.1.2-2) unstable; urgency=medium

  * Team upload.
  * Define PATH_MAX if not available, to help building on GNU/Hurd;
    patch path_max.diff.
  * Increase the timeout of qtest with QTEST_FUNCTION_TIMEOUT also for alpha,
    and hppa.
  * Backport upstream commit a8a17646b136873132c5fba98ee1bea681a7dcaa to build
    with Qt 6.10; patch upstream_Fix-build-with-Qt-6.10.patch.
  * Fix copyright. (Closes: #1127583)
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Feb 2026 09:44:14 +0100

qbs (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Dec 2025 08:37:27 +0100

qbs (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - gcc-handle-absolute-module-source-paths-in-modules.json.diff: drop, fixed
      upstream
  * upstream-test-suite autopkgtest: use the value returned by "nproc" as number
    of jobs for the build of the blackbox tests; this should speed up the test
    a bit.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Oct 2025 20:26:58 +0100

qbs (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Mon, 13 Oct 2025 07:36:59 +0200

qbs (3.1.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename libqbscore3.0 to libqbscore3.1 according to the upstream SONAME
    bump.
  * Update the patches:
    - no_nosys_specs.diff: update
  * Backport the upstream https://codereview.qt-project.org/c/qbs/qbs/+/683816
    to fix the search of gcc std modules; patch
    gcc-handle-absolute-module-source-paths-in-modules.json.diff.
    (Closes: #1114341)
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Oct 2025 23:05:21 +0200

qbs (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - Fix-check-for-uninitialized-JSValue.diff: drop, fixed upstream
  * Update patch skip_test_concurrent.diff to skip directly in the _data()
    function, to skip only once rather than in each of the almost 500
    combinations of it.

 -- Pino Toscano <pino@debian.org>  Tue, 02 Sep 2025 22:30:04 +0200

qbs (3.0.1-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Add a new upstream-test-suite autopkgtest that runs the blackbox tests from
    the upstream test suite:
    - build the tests from the sources, which sadly needs a good deal of build
      (the shared qbs libraries should not be actually used, though)
    - blacklist the qbsLanguageServer, as it assumes a fully-built layout
    - borrow some of the setup from what done for running the tests during the
      build

 -- Pino Toscano <pino@debian.org>  Sat, 30 Aug 2025 11:23:02 +0200

qbs (3.0.1-3) experimental; urgency=medium

  * Team upload.
  * Add few more arch-only test-only build dependencies for additional bits in
    the test suite: qt6-scxml-dev, and unzip.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Aug 2025 06:51:53 +0200

qbs (3.0.1-2) experimental; urgency=medium

  * Team upload.
  * Backport the upstream https://codereview.qt-project.org/c/qbs/qbs/+/671159
    to fix the build on 32bit architectures; patch
    Fix-check-for-uninitialized-JSValue.diff.
  * Move the test-only qt6-declarative-dev, and qt6-tools-dev build dependencies
    as Build-Depends-Arch, as they are needed only when running the tests which
    are run during arch builds.
  * Add few more arch-only test-only build dependencies for additional bits in
    the test suite: 7zip, bison, flex, icoutils, qt6-shadertools-dev, and zip.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Aug 2025 06:02:11 +0200

qbs (3.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename libqbscore2.6 to libqbscore3.0 according to the upstream SONAME
    bump.
  * Update the patches:
    - quickjs_hurd.diff: drop, as it refers to quickjs and not to the actually
      used quickjs-ng
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Wed, 20 Aug 2025 04:28:56 +0200

qbs (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 21 Apr 2025 08:26:31 +0200

qbs (2.6.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Mar 2025 08:23:58 +0200

qbs (2.6.0-1) experimental; urgency=medium

  * Team upload.

  [ Simon Quigley ]
  * Extend the -O2 hack for Ubuntu to also apply to amd64.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.7.2, no changes required.
  * New upstream release.
  * Rename libqbscore2.5 to libqbscore2.6 according to the upstream SONAME
    bump.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Mar 2025 07:50:00 +0100

qbs (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Feb 2025 12:49:04 +0100

qbs (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Backport/adapt fixes from the upstream quickjs for GNU/Hurd to the embedded
    copy in qbs; patch quickjs_hurd.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 10 Dec 2024 06:26:52 +0100

qbs (2.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_cmake-Do-not-install-.gitignore-files.patch: drop, backported
      from upstream
    - test_sanitizers_only_on_amd64.diff: refresh
  * Rename libqbscore2.4 to libqbscore2.5 according to the upstream SONAME
    bump.
  * Update install files.
  * Update copyright.
  * Remove symbols file: the shared libqbscore library bumps SONAME at every
    minor series, making the benefit of symbols files to lower the library
    requirements less useful; furthermore, the current library exposes a lot
    of internal symbols because of the enabled tests, making the symbols file
    hard to maintain.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Dec 2024 20:37:44 +0100

qbs (2.4.2-3) unstable; urgency=medium

  * Team upload.
  * Build the documentation only during arch-indep builds:
    - move the python3-bs4, and python3-lxml build dependencies to
      Build-Depends-Indep
    - copy the qt6-tools-dev build dependency to Build-Depends-Indep, as it is
      needed for running the test suite
    - enable the -DQBS_INSTALL_HTML_DOCS, and -DQBS_INSTALL_QCH_DOCS cmake
      arguments only when their respective packages are to be built
  * Mark the qt6-declarative-dev, and qt6-tools-dev build dependencies as
    !nocheck, as they are needed only when running the test suite.
  * Update symbols file from the logs of buildds.
  * Stop passing -DQBS_INSTALL_PREFIX to cmake, as it has not been used for a
    long time.
  * Simplifying avoiding installing .gitignore files:
    - backport upstream commit 862deed5ec60c36c603d5ac84546804ea67cc675 to not
      install .gitignore files; patch
      upstream_cmake-Do-not-install-.gitignore-files.patch
    - stop removing them from the sources in dh_auto_clean, to not modify the
      sources
    - drop the entries from debian/not-installed
  * Remove entries from debian/not-installed that do not exist anymore.
  * Remove Uploaders who have not contributed anything in more than 5 years.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Nov 2024 11:12:59 +0100

qbs (2.4.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Oct 2024 21:56:58 +0200

qbs (2.4.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - implements processNameByPid on Hurd (Closes: #884470)
  * Update the patches:
    - fix_linker_mode_test.diff: drop, backported from upstream
  * Rename libqbscore2.3 to libqbscore2.4 according to the upstream SONAME
    bump.
  * Update install files.
  * Do not ship .gitignore files (via debian/not-installed).
  * Update symbols file.
  * Update copyright.
  * Drop breaks/replaces for versions older than Debian Bullseye.
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Oct 2024 10:22:03 +0200

qbs (2.3.1-6) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols fifth time in a row.
  * Use dpkg-build-api level 1, drop explicit Rules-Requires-Root: no.
  * Do not build with -O3 on Ubuntu ppc64el, that causes link failures.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Jul 2024 15:40:19 +0300

qbs (2.3.1-5) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols for GCC 14 (closes: #1075426).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Jul 2024 00:03:41 +0300

qbs (2.3.1-4) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols again, this time for Qt 6.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jun 2024 21:54:49 +0300

qbs (2.3.1-3) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols from buildds’ logs.
  * Merge two symbols for bucketsForCapacity() (closes: #1072386).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 02 Jun 2024 16:40:32 +0300

qbs (2.3.1-2) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 May 2024 11:09:39 +0300

qbs (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Add a patch to make the linkerMode test pass on all architectures.
  * Update debian/libqbscore2.3.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 11 May 2024 18:24:25 +0300

qbs (2.3.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Acknowledge NMU, thanks Benjamin Drung!
  * Mark four symbols as optional to fix build with Qt 6.6.
  * New upstream release.
  * Rename libqbscore2.1t64 to libqbscore2.3 for upstream SONAME change.
    - Drop t64-related Provides, Breaks/Replaces and lintian-overrides.
  * Update debian/libqbscore2.3.symbols from buildds’ and current logs.
  * Update debian/copyright.
  * Remove libqt6opengl6-dev build-dependency (merged into qt6-base-dev).
  * Update install files.
  * Bump Standards-Version to 4.7.0, no changes needed.

  [ Bo YU ]
  * Increase the timeout of qtest with QTEST_FUNCTION_TIMEOUT for riscv64.
    (Closes: #1059264)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 May 2024 21:30:49 +0300

qbs (2.1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062711

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:29:48 +0000

qbs (2.1.2-2) unstable; urgency=medium

  * Update debian/libqbscore2.1.symbols for loong64 (closes: #1057757).
  * Also update debian/libqbscore2.1.symbols from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Dec 2023 13:54:19 +0300

qbs (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop quickjs_32bit_float64_tag.diff, applied upstream.
  * Refresh asan_atomic.diff.
  * Update debian/libqbscore2.1.symbols for sparc64.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Sep 2023 22:18:32 +0300

qbs (2.1.1-2) unstable; urgency=medium

  * Update debian/libqbscore2.1.symbols from buildds’ logs.
  * Mark more symbols that disappear with -O3 as optional.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 16 Aug 2023 20:44:00 +0300

qbs (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop quickjs_32bit_build.diff, included in the new release.
  * Update debian/libqbscore2.1.symbols from buildds’ and current build logs.
  * Update debian/patches/test_sanitizers_only_on_amd64.diff so it
    applies also to address sanitizer.
  * Update debian/copyright.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Aug 2023 19:58:53 +0300

qbs (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Stop repacking the upstream tarball, no longer needed.
  * Drop patches, not needed due to removal of qtscript:
    - disable_tests_qtscript.diff
    - s390x_jscore.diff
  * Also drop find_qdoc.diff, included in the new release.
  * Refresh other patches.
  * Update debian/copyright.
  * Drop debian/source/lintian-overrides, no longer needed.
  * Drop libqbsscriptengine1.24 package.
  * Update debian/qbs-dev.install.
  * Rename libqbscore1.24 to libqbscore2.1 for upstream SONAME change.
  * Backport two upstream patches to fix build on 32-bit architectures.
  * Update debian/libqbscore2.1.symbols from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Aug 2023 23:10:30 +0300

qbs (1.24.1+dfsg-2) unstable; urgency=medium

  * Add a patch to find qdoc directly, to fix arch:all build.
  * Prevent dh_compress from compressing qbs.qch.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 Mar 2023 20:28:50 +0300

qbs (1.24.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Mark some symbols that disappear with -O3 as optional.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Mar 2023 21:02:25 +0300

qbs (1.24.0+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Update symbols from buildlogs (Closes: #1027474).

 -- Patrick Franz <deltaone@debian.org>  Mon, 02 Jan 2023 00:39:26 +0100

qbs (1.24.0+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Adjust Qt 6 B-Ds to account for renaming.
  * Update symbols from buildlogs (Closes: #1027474).

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Jan 2023 14:25:13 +0100

qbs (1.24.0+dfsg-2) unstable; urgency=medium

  * Copy a patch from qtscript to add s390x support.
  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 30 Nov 2022 17:13:12 +0300

qbs (1.24.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libqbscore1.23.symbols for riscv64.
  * Rename libqbscore1.23 to libqbscore1.24 for upstream SONAME change.
  * Switch from Qt 5 to Qt 6.
    - Add libqbsscriptengine1.24 package (port of QtScript to Qt 6).
  * Document copyright of src/shared/qtscript/*.
  * Repack the tarball to exclude uncertainly licensed tests.
  * Override some false-positive source-is-missing Lintian errors.
  * Refresh debian/patches/skip_test_concurrent.diff.
  * Drop doc_Install_man_pages_with_cmake.diff, applied upstream.
  * Pass -DQBS_INSTALL_MAN_PAGE=yes to dh_auto_configure.
  * Install one new header file (deprecationwarningmode.h).
  * Update debian/libqbscore1.24.symbols from the current logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 27 Nov 2022 14:24:52 +0300

qbs (1.23.1-1) unstable; urgency=medium

  * New upstream release.
  * Add a patch to link with atomic library when using address sanitizer,
    to fix test failure on armel (see #1016041).
  * Update debian/libqbscore1.23.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Aug 2022 14:41:45 +0300

qbs (1.23.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop cmake_regex_syntax.diff, applied upstream.
  * Refresh test_sanitizers_only_on_amd64.diff.
  * Rename libqbscore1.22 to libqbscore1.23 for upstream SONAME change.
  * Install one new file (asan.qbs).
  * Update debian/libqbscore1.23.symbols for GCC 12 (closes: #1013020).
  * Do not build documentation in build-arch target (closes: #1011159).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Jul 2022 23:38:44 +0300

qbs (1.22.1-2) unstable; urgency=medium

  * Mark some symbols as optional (closes: #1010755).
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 May 2022 14:05:37 +0300

qbs (1.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop docs_install_path.diff, a different fix was applied upstream.
    - Update install path for QCH docs.
  * Add a patch to fix SONAME of libqbscore.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 May 2022 11:14:40 +0300

qbs (1.22.0-4) unstable; urgency=medium

  * Disable api and blackbox tests also on mips64el.
  * Update debian/libqbscore1.22.symbols for mipsel.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Apr 2022 21:59:47 +0300

qbs (1.22.0-3) unstable; urgency=medium

  * Disable api and blackbox tests on mipsel, blackbox on riscv64.
  * Update debian/libqbscore1.22.symbols for more architectures.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 06 Apr 2022 19:46:08 +0300

qbs (1.22.0-2) experimental; urgency=medium

  * Update debian/libqbscore1.22.symbols from buildds’ logs.
  * Update disable_tests_qtscript.diff for CMake port.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 06 Apr 2022 00:19:07 +0300

qbs (1.22.0-1) experimental; urgency=medium

  [ Marius Gripsgard ]
  * New upstream release (version: 1.21.0)
  * debian/*: Bump SONAME on libqbscore binary pkg to 1.21
  * debian/patches: Refresh patches for 1.21
  * debian/control: Bump standards version to 4.6.0
  * debian/control: Set requires root to no
  * debian/patch: Add tests-Make-sure-we-handle-prefix-cases-where-libPath patch
  * debian/qbs-common: Add new files added in 1.20/1.21
  * debian/libqbscore: Bump symbols ver to match pkg ver
  * debian/copyright: Update copyright to match upstream release (1.21.0)
  * debian/*: Port to use cmake as build system
  * debian/rules: Workaround bug with parallel creation of docs

  [ Dmitry Shachnev ]
  * New upstream release (1.22.0).
  * Drop tests_Make_sure_we_handle_prefix_cases_where_libPath.diff,
    included in the new release.
  * Rename libqbscore1.21 to libqbscore1.22 for upstream SONAME change.
  * Update debian/qbs-common.install and add debian/not-installed.
  * Update symbols files from the current build logs.
  * Update debian/copyright.
  * Remove patches that are not relevant since switch to CMake.
  * Add a patch to fix documentation install with CMake.
  * Remove override_dh_install target in favor of debian/not-installed.
  * Simplify override_dh_auto_clean target.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 Apr 2022 21:39:30 +0300

qbs (1.19.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop add_1.19.1_changelog.diff and stop installing the changelog.
    For the third release in a row, the changelog for the current version
    is not present in the upstream tarball.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 Aug 2021 15:21:16 +0300

qbs (1.19.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop the patch for missing 1.19.0 changelog.
  * Upstream forgot to include changelog again, so add a new patch for it.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Jun 2021 20:16:50 +0300

qbs (1.19.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Backport upstream patch to add missing changelog for 1.19.0 release.
  * Add new files to debian/qbs-common.install.
  * Rename libqbscore1.18 to libqbscore1.19 for upstream SONAME change.
  * Update debian/libqbscore1.19.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 May 2021 21:24:21 +0300

qbs (1.18.0-5) unstable; urgency=medium

  * Handle symlink to directory change in qbs-examples (closes: #985295).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Mar 2021 21:02:24 +0300

qbs (1.18.0-4) unstable; urgency=medium

  * Skip TestBlackboxJobLimits::jobLimits test that sometimes hangs on
    mipsel/mips64el (closes: #980872).
  * Run the remaining tests with QBS_AUTOTEST_ALWAYS_LOG_STD{OUT,ERR}=1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Jan 2021 14:18:12 +0300

qbs (1.18.0-3) unstable; urgency=medium

  * Run tests with --max-parallel=1 to make them more stable.
  * Bump required Qt version to 5.14.0, following upstream.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 21 Jan 2021 21:01:14 +0300

qbs (1.18.0-2) experimental; urgency=medium

  * Add one more file to debian/patches/no_nosys_specs.diff.
  * Update debian/libqbscore1.18.symbols from buildds’ logs.
  * Update debian/watch to version 4.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 Jan 2021 21:20:29 +0300

qbs (1.18.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Update debian/libqbscore1.17.symbols from buildds’ logs.
  * Rename libqbscore1.17 to libqbscore1.18 for upstream SONAME change.
  * Pass --buildsystem=qmake to dh, to prevent it from choosing cmake.
  * Add one new file to debian/qbs-common.install.
  * Update debian/libqbscore1.18.symbols from the current build logs.
  * Update debian/copyright.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Dec 2020 21:27:26 +0300

qbs (1.17.0-2) unstable; urgency=medium

  * Fix tests failures on ARM:
    - Do not use nosys.specs, it needs gcc-arm-none-eabi.
    - Disable build of arm-gcc.s, it causes errors from as.
  * Update debian/libqbscore1.17.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Sep 2020 15:43:21 +0300

qbs (1.17.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Update debian/libqbscore1.16.symbols from buildds’ logs.
  * Rename libqbscore1.16 to libqbscore1.17 for upstream SONAME change.
  * Install three new files for the capnproto module.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution.
    - Adapt to debhelper exporting its own $HOME for tests.
  * Update debian/libqbscore1.17.symbols from the current build logs.
  * Stop overriding libexec location (FHS v3.0 and Debian Policy v4.1.5
    allow for /usr/libexec).
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Sep 2020 13:35:34 +0300

qbs (1.16.0-2) unstable; urgency=medium

  * Update debian/libqbscore1.16.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2020 11:00:39 +0300

qbs (1.16.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh skip_test_concurrent.diff.
  * Update debian/libqbscore1.14.symbols from buildds’ logs.
  * Rename libqbscore1.14 to libqbscore1.16 for upstream SONAME change.
  * Install new files.
  * Update debian/libqbscore1.16.symbols from the current build log.
  * Update debian/copyright.
  * Make tests not fail when there are multiple GCC versions installed.
  * Test sanitizers only on amd64, they are not available everywhere.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 21 May 2020 21:00:57 +0300

qbs (1.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop qml_type_descriptions.diff, applied upstream.
  * Refresh kfreebsd_soname.diff.
  * Update debian/libqbscore1.13.symbols from buildds’ logs.
  * Rename libqbscore1.13 to libqbscore1.14 for upstream SONAME change.
  * Bump required Qt version to 5.11.0, following upstream.
  * Install new files.
  * Update debian/libqbscore1.14.symbols from the current build logs.
  * Update debian/copyright.
  * Bump debhelper compat level to 12, use the new syntax.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 Nov 2019 14:56:40 +0300

qbs (1.13.1-2) unstable; urgency=medium

  * Update debian/libqbscore1.13.symbols from the current build log.
  * Add Build-Depends-Package field to debian/libqbscore1.13.symbols.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Oct 2019 15:13:07 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog qbs-doc`.
